> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Partner Invoices (Advanced)

Retrieve a paginated list of partner (affiliate) invoices. Supports search filters, sorting, and pagination to help you find and browse invoices programmatically. Filter by affiliate IDs, invoice IDs, date ranges, balance ranges, status, and payment terms.


## OpenAPI

````yaml openapi/network-billing.yaml post /networks/billings/affiliates/invoicestable
openapi: 3.0.3
info:
  title: Everflow Network API - Billing (Affiliate Invoices)
  description: >
    Endpoints for managing affiliate/partner invoices and payments. For billing
    workflows, see the [Partner Invoices
    guide](https://helpdesk.everflow.io/customer/processing-partner-invoices).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Billing
paths:
  /networks/billings/affiliates/invoicestable:
    post:
      tags:
        - Billing
      summary: Find Partner Invoices (Advanced)
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number (1-based).
        - in: query
          name: page_size
          schema:
            type: integer
            default: 50
          description: Number of results per page.
      requestBody:
        content:
          application/json:
            example:
              search_terms: []
              filters:
                status: unpaid
            schema:
              type: object
              properties:
                search_terms:
                  type: array
                  description: >
                    Search terms are optional but can be used to look for
                    specific words.
                  items:
                    type: object
                    required:
                      - search_type
                      - value
                    properties:
                      search_type:
                        type: string
                        enum:
                          - name
                        description: >
                          The name of the field used for search. On this
                          endpoint, it can only be "name". Searching by name
                          will search the invoice ID, the partner ID, and the
                          partner name.
                      value:
                        type: string
                        description: The value to search.
                filters:
                  type: object
                  description: >
                    Filters are optional but are usually used to narrow down the
                    set of invoices returned. They can be used individually or
                    combined in a single request.
                  properties:
                    network_affiliate_ids:
                      type: array
                      items:
                        type: integer
                      description: >-
                        One or multiple partner IDs for which the invoices will
                        be returned.
                    network_affiliate_invoice_ids:
                      type: array
                      items:
                        type: integer
                      description: Return a specific set of invoice IDs.
                    account_manager_ids:
                      type: array
                      items:
                        type: integer
                      description: >-
                        One or multiple account manager IDs for which the
                        invoices will be returned.
                    min_start_time:
                      type: string
                      description: >-
                        Only return invoices with a start date greater or equal
                        to this value. Takes a date in the YYYY-MM-DD format.
                    max_end_time:
                      type: string
                      description: >-
                        Only return invoices with an end date smaller or equal
                        to this value. Takes a date in the YYYY-MM-DD format.
                    min_balance:
                      type: number
                      format: double
                      description: >-
                        Only return invoices with an invoice balance greater
                        than this value.
                    max_balance:
                      type: number
                      format: double
                      description: >-
                        Only return invoices with an invoice balance smaller
                        than this value.
                    affiliate_invoice_status:
                      type: string
                      enum:
                        - paid
                        - unpaid
                        - deleted
                      description: Only return invoices with this status.
                    is_hidden_affiliate:
                      type: string
                      enum:
                        - visible
                        - hidden
                      description: >-
                        Filters based on whether the invoice is visible to the
                        partner or not.
                    payment_terms:
                      type: array
                      items:
                        type: integer
                      description: >-
                        Only return invoices for which the payment terms is a
                        number of days contained in this array.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  invoices:
                    type: array
                    items:
                      type: object
                      properties:
                        network_affiliate_invoice_id:
                          type: integer
                          description: Unique invoice ID.
                        network_id:
                          type: integer
                          description: Network ID.
                        network_affiliate_id:
                          type: integer
                          description: The ID of the partner that was invoiced.
                        network_affiliate_name:
                          type: string
                          description: Name of the invoiced partner.
                        affiliate_invoice_status:
                          type: string
                          enum:
                            - paid
                            - unpaid
                            - deleted
                          description: Invoice status.
                        start_time:
                          type: string
                          description: Invoice period start date.
                        end_time:
                          type: string
                          description: Invoice period end date.
                        timezone_id:
                          type: integer
                          description: Timezone ID for the invoice period.
                        balance:
                          type: number
                          format: double
                          description: Outstanding balance.
                        billed:
                          type: number
                          format: double
                          description: Total billed amount.
                        paid:
                          type: number
                          format: double
                          description: Total paid amount.
                        currency_id:
                          type: string
                          description: Currency code (e.g. USD).
                        payment_terms:
                          type: integer
                          description: >-
                            Number of days for the affiliate payment term (e.g.
                            20 for NET 20).
                        is_hidden_affiliate:
                          type: boolean
                          description: >-
                            Whether the invoice is visible to the partner or
                            not.
                        public_notes:
                          type: string
                          description: >-
                            Notes visible to both network employees and the
                            invoiced partner.
                        internal_notes:
                          type: string
                          description: >-
                            Notes visible to network employees but not the
                            invoiced partner.
                        payment_type:
                          type: string
                          description: Payment method type for this invoice.
                        is_payable:
                          type: boolean
                          description: Whether this invoice can be paid.
                        payment_status:
                          type: string
                          description: Payment processing status.
                        paid_date:
                          type: integer
                          description: >-
                            Unix timestamp of when the invoice was paid. 0 if
                            not yet paid.
                        time_created:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of creation.
                        time_saved:
                          type: integer
                          example: 1734455015
                          description: Unix timestamp of last update.
                  paging:
                    type: object
                    properties:
                      page:
                        type: integer
                      page_size:
                        type: integer
                      total_count:
                        type: integer
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````